package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
public class CreditCardRequest {
  CreditCardData card;
  CreditCardAmount amount;
  String reference;
  String merchantAccount;
//  String returnUrl; // for Adyen payment, not classic integration, do we need?

  public CreditCardRequest() {
  }

  @Override
  public String toString() {
    return "CreditCardRequest{" +
            "card=" + card +
            ", amount=" + amount +
            ", reference='" + reference + '\'' +
            ", merchantAccount='" + merchantAccount + '\'' +
            '}';
  }
}
